{******************************************************************************}
{* Иллюстрация к книге "DirectX. Графика в проектах Delphi".                  *}
{* Издательство BHV. www.bhv.ru                                               *}
{* Краснов М.В. softgl@chat.ru                                                *}
{******************************************************************************}
unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DirectDraw;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    FDD : IDirectDraw7;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
var
  hRet : HRESULT;
begin
  FDD := nil;
  try
  try
  hRet := DirectDrawCreateEx (nil, FDD, IDirectDraw7, nil);
  if Failed (hRet)
     then ShowMessage ('DirectX 7-й версии не доступен')
     else ShowMessage ('DirectX 7-й версии доступен');
  finally
  if Assigned (FDD) then FDD := nil;
  end;
  except
     ShowMessage ('DirectX 7-й версии не доступен')
  end;
end;

end.
